/*Copyright [2010-2012] [David Van de Ven]

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

 */
package org.wahtod.wififixer.legacy;

import org.wahtod.wififixer.R;
import org.wahtod.wififixer.ui.TabListener;

import android.annotation.SuppressLint;
import android.app.ActionBar;
import android.app.ActionBar.Tab;
import android.app.Activity;

public class ActionBarHelper extends ActionBarDetector {
	@SuppressLint("NewApi")
	@Override
	public void vsetDisplayHomeAsUpEnabled(Activity a, boolean state) {
		ActionBar actionBar = a.getActionBar();
		if (a.findViewById(R.id.pager) != null) {
			actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
			actionBar.setDisplayShowTitleEnabled(false);
			TabListener tl = new TabListener(a);
			Tab tab = actionBar.newTab().setText(R.string.known_networks)
					.setTabListener(tl);
			actionBar.addTab(tab);
			tab = actionBar.newTab().setText(R.string.local_networks)
					.setTabListener(tl);
			actionBar.addTab(tab);
		}
		a.getActionBar().setDisplayHomeAsUpEnabled(state);
	}
}
